tbb::flow::interface11::opencl_node< tuple< Ports... > > Class Template Reference

`#include <flow_graph_opencl_node.h>`

Inheritance diagram for tbb::flow::interface11::opencl_node< tuple< Ports... > >:
Collaboration diagram for tbb::flow::interface11::opencl_node< tuple< Ports... > >:

## Public Types

typedef base_type::kernel_type | kernel_type

## Public Member Functions

| opencl_node (graph &g, const kernel_type &kernel)
template<typename DeviceSelector >
| opencl_node (graph &g, const kernel_type &kernel, DeviceSelector d)

## Private Types

typedef opencl_node< tuple< Ports... >, queueing, opencl_info::default_opencl_factory > | base_type

## Detailed Description

### template<typename... Ports>
class tbb::flow::interface11::opencl_node< tuple< Ports... > >

Definition at line 1449 of file flow_graph_opencl_node.h.

## Member Typedef Documentation

## base_type

template<typename... Ports>

typedef opencl_node< tuple<Ports...>, queueing, opencl_info::default_opencl_factory > tbb::flow::interface11::opencl_node< tuple< Ports... > >::base_type

private

Definition at line 1450 of file flow_graph_opencl_node.h.

## kernel_type

template<typename... Ports>

typedef base_type::kernel_type tbb::flow::interface11::opencl_node< tuple< Ports... > >::kernel_type

Definition at line 1452 of file flow_graph_opencl_node.h.

## Constructor & Destructor Documentation

## opencl_node() [1/2]

template<typename... Ports>

tbb::flow::interface11::opencl_node< tuple< Ports... > >::opencl_node | ( | graph & | g,
|  | const kernel_type & | kernel
| ) |  |

inline

Definition at line 1454 of file flow_graph_opencl_node.h.

: base_type( g, kernel, opencl_info::default_device_selector< opencl_info::default_opencl_factory >(), opencl_info::default_factory() )
{}

## opencl_node() [2/2]

template<typename... Ports>
template<typename DeviceSelector >

tbb::flow::interface11::opencl_node< tuple< Ports... > >::opencl_node | ( | graph & | g,
|  | const kernel_type & | kernel,
|  | DeviceSelector | d
| ) |  |

inline

Definition at line 1459 of file flow_graph_opencl_node.h.

: base_type( g, kernel, d, opencl_info::default_factory() )
{}

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

tbb::flow::interface11::opencl_info::default_factory
default_opencl_factory & default_factory()
Definition: flow_graph_opencl_node.h:1203
d
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d
Definition: ittnotify_static.h:109
tbb::flow::interface11::opencl_node< tuple< Ports... > >::base_type
opencl_node< tuple< Ports... >, queueing, opencl_info::default_opencl_factory > base_type
Definition: flow_graph_opencl_node.h:1450

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.